Chapter 12 – News
LSEG Workspace users can open News Monitor 2.0 application inside LSEG Workspace to find the news you need.

You can retrieve specific stories using:
- Keywords.
- Codes.
- RICs.
- Quote chains.
To see Top news. LSEG Workspace users could use keyword TOP NEWS or Topic:TOPNP

The users can also view Top News in TopNews application in LSEG Workspace by searching for TOPNEWS in the search bar

From the front page of Top News, you can move to specific news items or topics using the links or the menu.
How to search for news
With LSEG Workspace account, there are three ways of retrieving news:
-
Searching through News Monitor 2.0 application inside LSEG Workspace to find the news you need. You can enter news code(s), keyword(s) or RIC(s) in News Monitor's search bar, then the suggested keywords will be shown in the search bar's dropdown. Then you can click on each News headline to see its News content

-
If you are building your own layout, click in an empty frame and select NEWS MONITOR 2.0. Then type the code(s), keyword(s) or RIC(s) and press
enter. -
Use the Data Library to retrieve News headlines and News story (News content in each News headline)
3.1) First, import libraries and open the data session
import lseg.data as ld
ld.open_session()
<lseg.data.session.Definition object at 0x1bd17f12780 {name='workspace'}>
3.2) Then, retrieve data - Get News headlines
news_df = ld.news.get_headlines("LSEG.L", count=3)
display(news_df)
| headline | storyId | sourceCode | |
|---|---|---|---|
| versionCreated | |||
| 2026-04-24 09:27:55.768 | Tradeweb Markets increases 5.8% in 2026 | urn:newsml:newsroom:20260424:nNRA0aqo3p:0 | NS:GLOSTP |
| 2026-04-24 08:31:51.085 | LSE GROUP <LSEG.L>: UBS RAISES TARGET PRICE TO... | urn:newsml:reuters.com:20260424:nAZN4SSJHH:1 | NS:RTRS |
| 2026-04-24 07:37:26.803 | David Schwimmer- Led London Stock Exchange Gro... | urn:newsml:newsroom:20260424:nNRA0ap3q7:0 | NS:NEWPEO |
3.3) Retrieve data - Get News story
story_id = news_df["storyId"].iloc[0]
story = ld.news.get_story(story_id, format=ld.news.Format.TEXT)
print(story)
Tradeweb Markets increases 5.8% in 2026NASDAQ END-OF-MONTH STOCK REPORT
Tradeweb Markets' (NASDAQ: TW) stock price has now increased $6.20 (or 5.8%) year-to-date (YTD) in 2026 to close at $113.62.
Compared with the NASDAQ-100 Index which has risen 6.1% YTD, this is a relative price change of -0.3% for Tradeweb Markets shareholders.
Tradeweb Markets is the NASDAQ's 6th largest Financials company by market cap.
Period-based % Price change, compared with benchmarks
Price Change % 1-month 3-month 3-year
TW -9.2% 10.7%
Financials sector 3.4% -8.9% 14.8%
NASDAQ-100 Index 10.7% 4.6% 106%
...
3.4) Close the session
ld.close_session()
Codes
Examples:
ECI– news about economic indicators.EMRG– news about emerging markets.PL– news relating to Poland.
To view a list of all available news queries, you can use the News Expression Builder (Search by RIC, topic, portfolio...), available from the toolbar of News Monitor 2.0.

Keywords
- Type
AUCTIONto retrieve headlines containing this word. - Type
"US CREDIT OUTLOOK"within double quotation marks to find headlines containing this phrase.
To switch between search both headline text and story text for a specific keyword:
- Type the keyword within double quotation marks.
- Press
Shift + F9simultaneously to switch between searching in News headline and News story text.
RICs
- Type
LSEG.Lto retrieve headlines about LSEG. - Type
FTSEto retrieve headlines about the FTSE index.
- When you double click on News Expression Builder bar, you will get the News Expression that can be used with LSEG Data Library's get news headline function.
For Example,
R:LSEG.Lis the Expression for RICLSEG.LR:.FTSEis the Expression for index RICFTSE
# Use News Expression in 'query' parameter to filter news by company RIC
import lseg.data as ld
ld.open_session()
ld.news.get_headlines(query="R:LSEG.L", count=5)
| headline | storyId | sourceCode | |
|---|---|---|---|
| versionCreated | |||
| 2026-04-24 09:27:55.768 | Tradeweb Markets increases 5.8% in 2026 | urn:newsml:newsroom:20260424:nNRA0aqo3p:0 | NS:GLOSTP |
| 2026-04-24 08:31:51.085 | LSE GROUP <LSEG.L>: UBS RAISES TARGET PRICE TO... | urn:newsml:reuters.com:20260424:nAZN4SSJHH:1 | NS:RTRS |
| 2026-04-24 07:37:26.803 | David Schwimmer- Led London Stock Exchange Gro... | urn:newsml:newsroom:20260424:nNRA0ap3q7:0 | NS:NEWPEO |
| 2026-04-24 07:37:07.163 | David Schwimmer- Led London Stock Exchange Gro... | urn:newsml:newsroom:20260424:nNRA0ap2ji:0 | NS:NEWPEO |
| 2026-04-24 07:08:07.747 | Market Watch Moves to London Stock Exchange Gr... | urn:newsml:newsroom:20260424:nNRA0aomm6:0 | NS:GLORDP |
How to customise your news search
By combining codes, RICs and keywords, you can make your search as specific as required.
Narrow your search
Type each code or keyword then click on the suggested list, then select another keyword(s)
- News Expression Builder will form the News Expression for you, which is
Topic:ECI AND Topic:EMRG - This will returns News of economic indicators in emerging markets.
Broaden your search
Type more than one code or keyword and join them with OR:
- News Expression Builder will form the News Expression for you, which is
Topic:ECI OR Topic:EMRG - This will returns all economic indicators and all emerging markets news.
Exclude items
Precede the code, RIC or keyword with NOT:
Topic:ECI AND Topic:EMRG NOT Topic:PL– economic indicators in emerging markets except Poland.
ld.news.get_headlines(query="Topic:ECI AND Topic:EMRG NOT Topic:PL")
| headline | storyId | sourceCode | |
|---|---|---|---|
| versionCreated | |||
| 2026-04-24 09:36:30.721 | China lifts lending caps for foreign banks | urn:newsml:reuters.com:20260421:nIfp5rKtzq:4 | NS:LLPC |
| 2026-04-24 09:34:11.586 | U.S. Soybean Exports In 2026 Show 27% Increase... | urn🔗webnews:20260424:nNRA0aqtv0:0 | NS:FORCOO |
| 2026-04-24 09:33:59.199 | FADILLAH: NATION'S PLASTIC SUPPLY SUFFICIENT A... | urn:newsml:reuters.com:20260424:nBERc5SrVJ:1 | NS:BER |
| 2026-04-24 09:33:17.418 | Gulf states in limbo as US-Iran crisis drags on | urn:newsml:newsroom:20260424:nNRA0aqtho:0 | NS:AGEPRE |
| 2026-04-24 09:30:35.798 | Vietnam's 16th legislature concludes 1st session | urn:newsml:reuters.com:20260424:nNRA0aqr93:1 | NS:XINNEY |
| 2026-04-24 09:29:15.659 | Vietnam-South Korea forum outlines three pilla... | urn🔗webnews:20260424:nNRA0aqouv:0 | NS:VIEVIF |
| 2026-04-24 09:28:54.000 | FOREX-Dollaro verso rialzo settimanale su stal... | urn:newsml:reuters.com:20260424:nL6N4170MO:1 | NS:RTRS |
| 2026-04-24 09:28:40.000 | TOP NEWS 環球經濟(4月24日) | urn:newsml:reuters.com:20260424:nL6T41701O:3 | NS:RTRS |
| 2026-04-24 09:28:40.000 | TOP NEWS 环球经济(4月24日) | urn:newsml:reuters.com:20260424:nL6S41701O:3 | NS:RTRS |
| 2026-04-24 09:28:29.984 | MONETA Money Bank, a.s. -- Interim Q1 (87241450) | urn:newsml:reuters.com:20260424:nGLF9zLlHs:3 | NS:GLFILE |
ld.close_session()
News topic Guide
News topic Guide [TOPICS] is an application which consists of all the News topic codes available in LSEG Workspace

News topic codes are grouped into various categories like asset classes, economy, business sectors, languages, geographies etc. In the app, you can also find topic codes for various newsletters, reports, and Reuters news story types.

You can click any of the News topics to prompt a search in the News Monitor App. News topics can be used in conjuction with other topic codes, source codes, keywords, and company identifiers (by using AND OR NOT operators) for a more targeted search query.
Or use any word of your choice as a keyword, then select the suggested topic

Example News topic codes are
| Description | Topic Code |
|---|---|
| All Alerts | AA |
Top News stories
| Description | Topic Code |
|---|---|
| Reuters top news pages | TOPNP |
| Top news - World news | TOP/G |
| Top news - Foreign exchange | TOP/FRX |
| Top news - European Equities | TOP/EQE |
| Top news - Asian Equities | TOP/EQA |
| Top news - US | TOP/US |
| Top news - UK | TOP/UK |
| Top news - Emerging markets | TOP/EMRG |
| Top news - Government debt | TOP/DBT |
News by keyword
| Description | Topic Code |
|---|---|
| Diaries | DIARY |
| Press digests | PRESS |
| Interviews | INTER |
| Advisories | ADVS |
News by region
| Description | Topic Code |
|---|---|
| European news | EUROP |
| Western Europe | WEU |
| European Union | EU |
| Asia / Pacific | ASIA |
| United States | US |
| Nordic States | NORD |
| East European Country | EEU |
| Emerging Markets Countries | EMRG |
| South America / Central America | LATAM |
Equity news
| Description | Topic Code |
|---|---|
| Top company news by region - in Europe | TOP/EQE |
| Top company news by region - in Asia | TOP/EQA |
| Top company news by region - in the US | TOP/US |
| Top company news by region - in the UK | TOP/UK |
| Company performance / results / earnings | RES |
| Results forecasts / warnings | RESF |
| Mergers / acquisitions / takeovers | MRG |
| Volatile shares / HOT stocks | HOT |
| New issues | ISU |
| Initial public offerings | IPO |
| Broker research / recommendations | RCH |
| Credit / debt ratings | AAA |
| Derivatives | DRV |
| Equities markets | STX |
| Top news - Banking & financial services | TOP/FIN |
| Top news - Technology, media & telecommunications | TOP/TMT |
| Top news - Health | TOP/HEALTH |
| Top news - Consumer goods & retailing | TOP/RETAIL |
| Top news - Industrials | TOP/BASIC |
| Top news - Fund management | TOP/FUND |
| Top news - Corporate finance | TOP/DEALS |
| US stocks | .N |
| UK stocks | .L |
| Japan stocks | .T |
| European stocks | .EU |
| US stocks weekly outlook | .N/O |
Commodities news
- Metals (
MTL,TOP/MTL,GOL, etc.). - Softs (
COF,COC,RUB,SUG,TEA, etc.). - Grains, oilseeds and livestock (
GRO,TOP/GRO,OILS,GRA,MEAL,COT,LIV).
Energy news
- Energy International News Service (
O). - Top news - energy (
TOP/O). - Regional power (
ELN,ELE). - OPEC (
OPEC). - Crude oil (
CRU), products (PROD), natural gas (NGS). - Energy diaries (
O/DIARY).
General news
- General News International News Service:
G. - Government/Politics:
POL. - Diplomacy/Foreign Policy:
DIP. - Disasters/Accidents:
DIS. - Elections/Voting:
VOTE. - Sport:
SPO. - Human interest/Brights/Odd News:
ODD. - Weather Markets/Weather:
WEA.
Other useful pages
The following pages are also useful.
You can view these in a Quote app in LSEG Workspace - hit F4 button to access Quote app.
ECILT/WRAP– G7 economic growth outlook poll wrapup.POLLS– Reuters Polls (Forecasts). Discover all forecast data available from Reuters polls.
Language codes
You can filter news so that you only see a specific language.
- Example:
ECI LEN– economic indicator news in English. (The built expression will beTopic:ECI AND Language:LEN)
To see a list of all available language codes, click LANGUAGES section in News Topic Guide:


Third-party news sources
Examples:
- UK regulatory news (non-LSE):
RNS. - PR Newswire:
PRN. - Business Wire:
BSW. - Corporate Announcements - Global:
CNR. - Dow Jones Newswires:
DJN.
Get available news topic codes via LDP API
If you want to discover valid topic codes programmatically, call the LDP metadata endpoint:
GET /data/news/v1/metadata
Use the group query parameter to specify which metadata list you want:
group value | Returns |
|---|---|
BusinessSectors | Available Business Sectors codes |
Geography | Available Geography codes |
Language | Available Language codes |
Market | Available Market codes |
MoreTopics | Available More Topics codes |
Report | Available Report codes |
Source | Available Source codes |
Once you have the topic codes, you can plug them into your news query expressions, for example Topic:ECI, Topic:MKTREP, or Topic:OIL.
Note: This endpoint requires an LDP (LSEG Delivery Platform) credentials or a session with News metadata entitlements. Standard Workspace Desktop accounts may not have access to this endpoint and will receive an empty result.
The example below requests group=BusinessSectors, then shows the returned topic-code table. This is useful when you want to build news expressions dynamically instead of looking up codes manually in Workspace. And the example below also demonstrates how to connect to Platform session with the Platform credentials, as mentioned earlier, this endpoint requires the Platform account with News metadata entitlements.
# Connecting to the session with platform account credentials parameters in ld.open_session()
# to show how to set up a platform session over the parameters.
import lseg.data as ld
APP_KEY = "<your APP_KEY>"
USERNAME = "<your USERNAME>"
PASSWORD = "<your PASSWORD>"
session = ld.session.platform.Definition(
app_key = APP_KEY,
grant = ld.session.platform.GrantPassword(
username = USERNAME,
password = PASSWORD
),
signon_control = True
).get_session()
session.open()
ld.session.set_default(session)
# Use endpoint_request in lseg.data.delivery to make a request to the news metadata endpoint
# to get the list of news topics.
from lseg.data.delivery import endpoint_request
group = 'BusinessSectors'
limit = 10 # increase or remove to see more results
news_url = f'/data/news/v1/metadata?group={group}&limit={limit}'
request_definition = endpoint_request.Definition(
url = news_url,
method = endpoint_request.RequestMethod.GET
)
response = request_definition.get_data()
session.close()
response.data.raw
{'data': [{'id': 'B:1624',
'description': 'Companies engaged in lending money for the purpose of providing collateralized goods such as automobiles, electronics and appliances through a contractual installment sales agreement.',
'label': 'Consumer Leasing (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:CONLEA',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1831',
'description': 'Companies engaged in operating gas distribution systems (mains, meters).',
'label': 'Natural Gas Distribution (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:NGASD',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1019',
'description': 'Companies engaged in oil & gas drilling techniques viewed as unconventional or specialised, such as those deployed to exploit oil shales, oil sands, coal-based liquids, tight sand gas, shale gas, deep natural gas, and tight natural methane hydrates.',
'label': 'Unconventional Oil & Gas Drilling (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:UNOGD',
'searchable': True,
'childrenCount': 0},
{'id': 'B:294',
'description': 'Providers of financial technology (Fintech) services and infrastructure.',
'label': 'Financial Technology (Fintech) & Infrastructure (TRBC level 3)',
'group': 'BusinessSectors',
'readable': 'Topic:FTECH',
'searchable': True,
'childrenCount': 16},
{'id': 'B:1214',
'description': 'Companies engaged in human resources, employment and staff management services. Includes online job portals.',
'label': 'Employment Services (NEC) (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:HRSC1',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1102',
'description': 'Companies engaged in developing the mine site, mining, and/or beneficiating of copper.',
'label': 'Copper Ore Mining (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:COPMIN',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1371',
'description': 'Companies engaged in the manufacturing of household appliances, such as washer/dryers, vacuum cleaners, hairdryers, home use drills, lawnmowers, among others.',
'label': 'Household Appliances (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:HOMAPP',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1747',
'description': 'Companies engaged in the mechanical, physical, or chemical transformation of materials, substances, or components into new products.',
'label': 'Semiconductor Machinery Manufacturing (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:SEMEQ',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1642',
'description': 'Companies engaged in operating and/or managing funds and/or trusts other than hedge funds, such as mutuals, unit trusts, investment trusts and exchange-traded funds (ETFs), as well as operators of pension funds and life insurance funds. Excludes REITs (classified in Residential & Commercial REITs).',
'label': 'Collective Investment Fund Operators (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:COLLIF',
'searchable': True,
'childrenCount': 0},
{'id': 'B:1665',
'description': 'Companies engaged in least two activities under the Reinsurance Industry, none being dominant: Life & Health Reinsurance and Property & Casualty Reinsurance. Includes also entities not elsewhere classified under the Reinsurance industry.',
'label': 'Reinsurance (NEC) (TRBC level 5)',
'group': 'BusinessSectors',
'readable': 'Topic:RINS1',
'searchable': True,
'childrenCount': 0}],
'meta': {'next': 'eyJsaW1pdCI6MTAsIm9wdGlvbnMiOnsic2Vjb25kYXJ5SW5kZXhLZXkiOiJCdXNpbmVzc1NlY3RvcnMifSwiZm9yd2FyZCI6dHJ1ZSwicGFnaW5hdGlvbklkIjoiMDAwMDAwMjE4NyJ9',
'prev': None,
'metaDataVersions': {'newswire': '7d7b2b1e71875226a42bf71a33c98685cfcf56f3043db47a095cb5d72cd982899de20294e051188d0c242b80269dc9208bbf252b3e6e9535f8ff675df6f676f7',
'newswire_metadata': '600eac953fd548ca744a15bc245946faea3077c8ae3b749111b7b6abf601b05e4638732653fd6b82a5dfa2cd0b5f2ea3e8e57fd5689b922bacd37f3e6c5d5fd3',
'rcs': '26001'}}}
Here is the example endpoint call via API Playground
